@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;700&display=swap');

/* RESET */

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* BODY */

body{
    background-color: #2d2f34;
    font-family: "Poppins", sans-serif;
    color: white;
}

/* HEADER */

header{
    width: 100%;
    height: 95px;

    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 0 40px;

    background-color: #202022;
}

/* LOGO */

.logo{
    color: white;
    font-size: 42px;
    font-weight: 700;
}

/* MENU */

nav ul{
    display: flex;
    align-items: center;
    gap: 45px;

    list-style: none;
}

nav a{
    text-decoration: none;
    color: white;

    font-size: 18px;
    font-weight: 500;

    transition: 0.3s;
}

nav a:hover{
    color: #6090d7;
}

/* BOTÃO */

button{
    padding: 12px 22px;

    border: none;
    border-radius: 999px;

    background-color: #4771b0;

    color: white;
    font-size: 17px;

    cursor: pointer;

    transition: 0.3s;
}

button:hover{
    background-color: #39619C;
}

/* PROJETOS */

.projetos{
    width: 100%;

    padding: 30px 8% 100px;
}

/* TITULO */

.titulo{
    text-align: center;

    margin-bottom: 60px;
}

.titulo span{
    color: #6090d7;

    letter-spacing: 3px;
    font-size: 14px;
    font-weight: bold;
}

.titulo h1{
    font-size: 48px;

    margin-top: 10px;
}

/* GRID */

.container-projetos{
    display: grid;

    grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));

    gap: 30px;
}

/* CARD */

.card{
    background-color: #202022;

    border-radius: 20px;
    overflow: hidden;

    transition: 0.3s;

    border: 1px solid transparent;

    min-height: 420px;

    display: flex;
    flex-direction: column;
}

.card:hover{
    transform: translateY(-10px);

    border: 1px solid #6090d7;
}

/* IMAGEM */

.imagem{
    width: 100%;
    height: 220px;

    background: linear-gradient(135deg, #6090d7, #39619C);
}

/* CONTEUDO */

.conteudo{
    padding: 25px;

    display: flex;
    flex-direction: column;
    justify-content: space-between;

    flex: 1;
}

.conteudo h2{
    font-size: 26px;

    margin-bottom: 15px;
}

.conteudo p{
    color: #bdbdbd;

    line-height: 1.6;

    margin-bottom: 20px;
}

.conteudo a{
    text-decoration: none;

    color: #6090d7;

    font-weight: bold;

    transition: 0.3s;
}

.conteudo a:hover{
    opacity: 0.8;
}

/* RESPONSIVO */

@media(max-width: 800px){

    header{
        height: 80px;

        padding: 0 20px;
    }

    .logo{
        font-size: 24px;
    }

    nav ul{
        gap: 18px;
    }

    nav a{
        font-size: 13px;
    }

    button{
        padding: 10px 16px;

        font-size: 12px;
    }

    .projetos{
        padding: 20px 5% 80px;
    }

    .titulo{
        margin-bottom: 40px;
    }

    .titulo h1{
        font-size: 36px;
    }

}